Bug 126873 - gnome-panel menu freezes and steals focus
gnome-panel menu freezes and steals focus
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-panel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Mark McLoughlin
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-28 13:12 EDT by Chris Lee
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 08:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lee 2004-06-28 13:12:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
This is a hard-to-reproduce bug. :/

Sometimes, after the first launch of the gnome-panel (before it has
had a chance to cache the icons for the menuitems), I can get the
panel to freeze and/or crash while loading icons. This is the first
time I've been able to get a backtrace out of it, but sadly I couldn't
copy and paste it so I've copied what seem to be the relevant parts of
the path here.

Basically, it looks like something is freezing in
gnome_desktop_item_find_icon. I don't know exactly what it is, but the
backtrace showed these functions were responsible:


Might it have something to do with having a home directory mounted on NFS?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On fresh launch of gnome-panel, hover over menu items in main menu
2. I'm not sure exactly how to reproduce. It's difficult. :/
3. Sometimes will result in a freeze; other times, will result in a crash.

Actual Results:  This time, it froze. Focus was stolen, hitting 'Esc'
on the keyboard did not work, and clicking outside of the menu area
also did not work.

Expected Results:  The panel should cache all of the icons before the
user even hovers over them, IMHO. Maybe even keep them cached in a
special spot before it launches so that the menus are instantaneous
and there is no first-launch lag.
Comment 1 Mark McLoughlin 2004-08-09 13:18:08 EDT
I'd really need a full stack trace with debuginfo to figure out what's
going on here. If it happes again, switch to console or ssh in and get
a stack trace from there.

Also, I'm going to be updating to the gnome-panel from GNOME 2.7 very
shortly, so hopefully the problem might go away.
Comment 2 Mark McLoughlin 2004-12-20 08:18:32 EST
No response, assuming problem went away

Note You need to log in before you can comment on or make changes to this bug.